rte_crypto_asym_op(3)

NAME
rte_crypto_asym_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

uint16_t flags

Detailed Description

Asymmetric Cryptographic Operation.

Structure describing asymmetric crypto operation params.

Definition at line 1096 of file rte_crypto_asym.h.

Field Documentation

  struct rte_cryptodev_asym_session* session
Handle for the initialised session context

Definition at line 1098 of file rte_crypto_asym.h.

  struct rte_crypto_asym_xform* xform
Session-less API crypto operation parameters

Definition at line 1100 of file rte_crypto_asym.h.

  uint16_t flags
Asymmetric crypto operation flags. Please refer to the RTE_CRYPTO_ASYM_FLAG_*.

Definition at line 1118 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.